summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorBodo Möller <bodo@openssl.org>2000-01-30 02:23:03 +0000
committerBodo Möller <bodo@openssl.org>2000-01-30 02:23:03 +0000
commita87030a1edf0e4c6d601895f810b2d0da84ee10a (patch)
tree398075a9540e68b2dc417a80ac83fe13e5253958 /test
parent15701211b57b63f1f91a9c3781ea91c019b1dc1d (diff)
Make DSA_generate_parameters, and fix a couple of bug
(including another problem in the s3_srvr.c state machine).
Diffstat (limited to 'test')
-rw-r--r--test/Makefile.ssl5
-rw-r--r--test/testssl3
2 files changed, 6 insertions, 2 deletions
diff --git a/test/Makefile.ssl b/test/Makefile.ssl
index 6507b2f6ff..6607f63f9d 100644
--- a/test/Makefile.ssl
+++ b/test/Makefile.ssl
@@ -197,12 +197,13 @@ test_verify:
../apps/openssl verify -CApath ../certs ../certs/*.pem
test_dh:
- @echo "Generate as set of DH parameters"
+ @echo "Generate a set of DH parameters"
./$(DHTEST)
test_dsa:
- @echo "Generate as set of DSA parameters"
+ @echo "Generate a set of DSA parameters"
./$(DSATEST)
+ ./$(DSATEST) -app2_1
test_gen:
@echo "Generate and verify a certificate request"
diff --git a/test/testssl b/test/testssl
index 1d04b939f3..a88e290c57 100644
--- a/test/testssl
+++ b/test/testssl
@@ -66,6 +66,9 @@ echo test sslv2/sslv3 via BIO pair
echo test sslv2/sslv3 w/o DHE via BIO pair
./ssltest -bio_pair -no_dhe || exit 1
+echo test sslv2/sslv3 with 1024bit DHE
+./ssltest -bio_pair -dhe1024 -v || exit 1
+
echo test sslv2/sslv3 with server authentication
./ssltest -bio_pair -server_auth -CApath ../certs || exit 1